#include <exec/types.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <dos/dostags.h>

#include <proto/dlg.h>
#include <proto/dos.h>

#include <pragmas/dlg.h>

extern   struct   Library  *DLGBase;

int __stdargs Spawn(BPTR infh, BPTR outfh, char *command, ...)
{
   char t[256];

   XASPrintf(NULL,t,command,(char *)(&command+1));

   return(SystemTags(t, SYS_Output,   outfh,       SYS_Input,    infh,     SYS_Asynch,   FALSE,
                        NP_StackSize, 100000L,     TAG_END));
}

